#!/bin/sh
# Copyright (c) 2003-2011 Synology Inc. All rights reserved.
echo "Content-type: text/plain"
echo ""

while read line
do
    true
done

PackageName="AudioStation"
PackageUIPath="/webman/3rdparty/${PackageName}"
PackageInfo="/var/packages/${PackageName}/INFO"
PackageVersion=`/bin/get_key_value ${PackageInfo} version`
VersionMajor=`/bin/echo ${PackageVersion} | /bin/sed 's/^\([0-9]*\)[.-]\([0-9]*\)[.-]\([0-9]*\).*/\1/'`
VersionMinor=`/bin/echo ${PackageVersion} | /bin/sed 's/^\([0-9]*\)[.-]\([0-9]*\)[.-]\([0-9]*\).*/\2/'`
VersionBuild=`/bin/echo ${PackageVersion} | /bin/sed 's/^\([0-9]*\)[.-]\([0-9]*\)[.-]\([0-9]*\).*/\3/'`

echo -n '{'
echo -n 	'"data":{'
echo -n 		'"version":{'
echo -n 			'"major":"'${VersionMajor}'",'
echo -n 			'"minor":"'${VersionMinor}'",'
echo -n 			'"build":"'${VersionBuild}'"'
echo -n 		'},'
echo -n 		'"path":"'${PackageUIPath}'"'
echo -n 	'},'
echo -n 	'"success": true'
echo -n '}'

